package com.brilliance.isc.vo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.vo.model.Gidgrp;
import com.brilliance.isc.vo.model.Limchg;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;



@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GitzsqStoreVo extends BaseTransactionVo {
    private Limchg limchg;
    private Gidgrp gidgrp;

    @Override
    public void reset() {
        super.reset();
        if (limchg == null) {
            limchg = new Limchg();
        }
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
    }

}
